# Class BaseJobExecutor

### Hierarchy

- BaseJobExecutor
  - ComputeJobExecutor
  - JesJobExecutor
  - WebJobExecutor

### Implements

- JobExecutor

### Constructors

- constructor

### Properties

- serverType
- serverUrl

### Methods

- appendRequest
- appendWaitingRequest
- clearRequests
- execute
- getRequests
- resendWaitingRequests

## Constructors

### constructor

- new BaseJobExecutor(serverUrl: string, serverType: ServerType): BaseJobExecutor

- - Defined in src/job-execution/JobExecutor.ts:20

  #### Parameters

  - ##### serverUrl: string

  - ##### serverType: ServerType

  #### Returns BaseJobExecutor

## Properties

### Protected serverType

serverType: ServerType

- Defined in src/job-execution/JobExecutor.ts:21

### Protected serverUrl

serverUrl: string

- Defined in src/job-execution/JobExecutor.ts:21

## Methods

### Protected appendRequest

- appendRequest(response: any, program: string, debug: boolean): void

- - Defined in src/job-execution/JobExecutor.ts:56

  #### Parameters

  - ##### response: any

  - ##### program: string

  - ##### debug: boolean

  #### Returns void

### Protected appendWaitingRequest

- appendWaitingRequest(request: ExecuteFunction): void

- - Defined in src/job-execution/JobExecutor.ts:52

  #### Parameters

  - ##### request: ExecuteFunction

  #### Returns void

### clearRequests

- clearRequests(): void

- - Defined in src/job-execution/JobExecutor.ts:48

  #### Returns void

### Abstract execute

- execute(sasJob: string, data: any, config: any, loginRequiredCallback?: any, accessToken?: string | undefined): Promise<any>

- - Defined in src/job-execution/JobExecutor.ts:26

  #### Parameters

  - ##### sasJob: string

  - ##### data: any

  - ##### config: any

  - ##### Optional loginRequiredCallback: any

  - ##### Optional accessToken: string | undefined

  #### Returns Promise<any>

### getRequests

- getRequests(): SASjsRequest[]

- - Defined in src/job-execution/JobExecutor.ts:46

  #### Returns SASjsRequest[]

### resendWaitingRequests

- resendWaitingRequests(): Promise<void>

- - Defined in src/job-execution/JobExecutor.ts:34

  #### Returns Promise<void>

Generated using TypeDoc